Bug 1000557

Summary: [abrt] psi-0.15-2.fc19: QVector<ContactListItemProxy*>::count: Process /usr/bin/psi was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: Stefano Cavallari <stefano.cavallari>
Component: psiAssignee: Sven Lankes <sven>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: sven
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:2eb09ea04eae19d18c11948831608fa871c65e98
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-17 11:53:38 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: core_backtrace
none
File: dso_list
none
File: environ
none
File: exploitable
none
File: limits
none
File: maps
none
File: open_fds
none
File: proc_pid_status
none
File: var_log_messages none

Description Stefano Cavallari 2013-08-23 12:39:00 EDT
Version-Release number of selected component:
psi-0.15-2.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        psi
crash_function: QVector<ContactListItemProxy*>::count
executable:     /usr/bin/psi
kernel:         3.10.6-200.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QVector<ContactListItemProxy*>::count at /usr/include/QtCore/qvector.h:259
 #1 ContactListGroup::indexOf at contactlistgroup.cpp:306
 #2 ContactListGroup::toModelIndex at contactlistgroup.cpp:323
 #3 ContactListModel::parent at contactlistmodel.cpp:669
 #4 parent at ../../src/corelib/kernel/qabstractitemmodel.h:393
 #5 QSortFilterProxyModelPrivate::_q_sourceDataChanged at itemviews/qsortfilterproxymodel.cpp:1120
 #6 QMetaObject::activate at kernel/qobject.cpp:3547
 #7 QAbstractItemModel::dataChanged at .moc/release-shared/moc_qabstractitemmodel.cpp:163
 #8 PsiContactListModel::updateAnim at psicontactlistmodel.cpp:107
 #9 PsiContactListModel::qt_static_metacall at .moc/moc_psicontactlistmodel.cpp:51
Comment 1 Stefano Cavallari 2013-08-23 12:39:03 EDT
Created attachment 789656 [details]
File: backtrace
Comment 2 Stefano Cavallari 2013-08-23 12:39:06 EDT
Created attachment 789657 [details]
File: cgroup
Comment 3 Stefano Cavallari 2013-08-23 12:39:09 EDT
Created attachment 789658 [details]
File: core_backtrace
Comment 4 Stefano Cavallari 2013-08-23 12:39:12 EDT
Created attachment 789659 [details]
File: dso_list
Comment 5 Stefano Cavallari 2013-08-23 12:39:15 EDT
Created attachment 789660 [details]
File: environ
Comment 6 Stefano Cavallari 2013-08-23 12:39:18 EDT
Created attachment 789661 [details]
File: exploitable
Comment 7 Stefano Cavallari 2013-08-23 12:39:22 EDT
Created attachment 789662 [details]
File: limits
Comment 8 Stefano Cavallari 2013-08-23 12:39:31 EDT
Created attachment 789663 [details]
File: maps
Comment 9 Stefano Cavallari 2013-08-23 12:39:34 EDT
Created attachment 789664 [details]
File: open_fds
Comment 10 Stefano Cavallari 2013-08-23 12:39:37 EDT
Created attachment 789665 [details]
File: proc_pid_status
Comment 11 Stefano Cavallari 2013-08-23 12:39:40 EDT
Created attachment 789666 [details]
File: var_log_messages
Comment 12 Fedora End Of Life 2015-01-09 14:34:15 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 11:53:38 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.